solarOS Organization API

Organization API

Get one Service Appointment

Get one Service Appointment

/api/v1/service-appointments/{id}

Get one Service Appointment

Get one Service Appointment. Use an organization API key with service_appointments:read. Check the response envelope and meta.requestId before triggering dependent workflow steps.

Required scopes

service_appointments:read

Parameters

NameInTypeDescription
idrequiredpathstringService Appointment identifier returned by the Organization API.

Request body

This endpoint does not accept a JSON request body.

Responses

200

Service Appointment envelope

#/components/schemas/OrgApiResourceEnvelope

401

Missing or invalid organization API key

#/components/schemas/OrgApiError

402

Organization billing access or an endpoint-specific business quota denied the request

#/components/schemas/OrgApiError

403

Missing required scope: service_appointments:read

#/components/schemas/OrgApiError

404

Not found

#/components/schemas/OrgApiError

429

Rate limit exceeded

#/components/schemas/OrgApiError

Errors

401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: service_appointments:read404 Not found429 Rate limit exceeded

Static examples

curl -X GET "$SOLAROS_BASE_URL/api/v1/service-appointments/$SOLAROS_SERVICE_APPOINTMENT" \
  -H "Authorization: Bearer $SOLAROS_API_KEY"